Subject: Re: [PATCH 01/02 V3] net/ipv6: seperate sit driver to extra module

From: Patrick McHardy <[email-masked]>
Date: Sun, 05 Nov 2006 23:35:07 +0100

Joerg Roedel wrote:
> On Sat, Oct 14, 2006 at 01:09:39AM +0200, Jan Dittmer wrote:
> 
>>Btw. is there any way to autoload the sit module or is this the
>>task of the distribution tools? Debian etch at least does not
>>automatically probe the module when trying to bring up a 6to4 tunnel.
> 
> 
> AFAIK there is no way to automatically load the driver from the kernel
> space. The configuration of the tunnel devices requires the sit0 device.
> But this device is installed by the sit driver. I mailed a bug report to
> the Debian people and informed them about the change.

It would be nice to keep things working even with this built as a
module, it took me some time to realize my IPv6 tunnel was broken
because of the missing sit module. This module alias fixes things
until distributions have added an appropriate alias to modprobe.conf.

Signed-off-by: Patrick McHardy <[email-masked]>

diff --git a/net/ipv6/sit.c b/net/ipv6/sit.c
index b481a4d..be699f8 100644
--- a/net/ipv6/sit.c
+++ b/net/ipv6/sit.c
@@ -854,3 +854,4 @@ int __init sit_init(void)
 module_init(sit_init);
 module_exit(sit_cleanup);
 MODULE_LICENSE("GPL");
+MODULE_ALIAS("sit0");